package com.bocloud.nms.model.veeam.job;

public class BackupJobAdvancedSettingsModel {

    private String backupModeType;
    private SyntheticFullSettingsModel synthenticFulls;
    private ActiveFullSettingsModel activeFulls;
    private ActiveFullSettingsModel backupHealth;
    private FullBackupMaintenanceModel fullBackupMaintenance;
    private BackupStorageSettingModel storageData;
    private NotificationSettingsModel notifications;
    private BackupJobAdvancedSettingsVSphereModel vSphere;
    private PrimaryStorageIntegrationSettingsModel storageIntegration;
    private JobScriptsSettingsModel scripts;

    public String getBackupModeType() {
        return backupModeType;
    }

    public void setBackupModeType(String backupModeType) {
        this.backupModeType = backupModeType;
    }

    public SyntheticFullSettingsModel getSynthenticFulls() {
        return synthenticFulls;
    }

    public void setSynthenticFulls(SyntheticFullSettingsModel synthenticFulls) {
        this.synthenticFulls = synthenticFulls;
    }

    public ActiveFullSettingsModel getActiveFulls() {
        return activeFulls;
    }

    public void setActiveFulls(ActiveFullSettingsModel activeFulls) {
        this.activeFulls = activeFulls;
    }

    public ActiveFullSettingsModel getBackupHealth() {
        return backupHealth;
    }

    public void setBackupHealth(ActiveFullSettingsModel backupHealth) {
        this.backupHealth = backupHealth;
    }

    public FullBackupMaintenanceModel getFullBackupMaintenance() {
        return fullBackupMaintenance;
    }

    public void setFullBackupMaintenance(FullBackupMaintenanceModel fullBackupMaintenance) {
        this.fullBackupMaintenance = fullBackupMaintenance;
    }

    public BackupStorageSettingModel getStorageData() {
        return storageData;
    }

    public void setStorageData(BackupStorageSettingModel storageData) {
        this.storageData = storageData;
    }

    public NotificationSettingsModel getNotifications() {
        return notifications;
    }

    public void setNotifications(NotificationSettingsModel notifications) {
        this.notifications = notifications;
    }

    public BackupJobAdvancedSettingsVSphereModel getvSphere() {
        return vSphere;
    }

    public void setvSphere(BackupJobAdvancedSettingsVSphereModel vSphere) {
        this.vSphere = vSphere;
    }

    public PrimaryStorageIntegrationSettingsModel getStorageIntegration() {
        return storageIntegration;
    }

    public void setStorageIntegration(PrimaryStorageIntegrationSettingsModel storageIntegration) {
        this.storageIntegration = storageIntegration;
    }

    public JobScriptsSettingsModel getScripts() {
        return scripts;
    }

    public void setScripts(JobScriptsSettingsModel scripts) {
        this.scripts = scripts;
    }

    @Override public String toString() {
        return "BackupJobAdvancedSettingsModel{" + "backupModeType='" + backupModeType + '\'' + ", synthenticFulls="
            + synthenticFulls + ", activeFulls=" + activeFulls + ", backupHealth=" + backupHealth
            + ", fullBackupMaintenance=" + fullBackupMaintenance + ", storageData=" + storageData + ", notifications="
            + notifications + ", vSphere=" + vSphere + ", storageIntegration=" + storageIntegration + ", scripts="
            + scripts + '}';
    }
}
